<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Things we don't like about libvirt ...</h1>

<pre>
1172 src/launch-direct.c
1910 src/launch-libvirt.c
 619 src/launch-uml.c
</pre>

<ul>
<li> error messages are confusing, real information is hidden
<li> logging &amp; debugging is hard
<li> regressions
<li> essentially impossible to use libvirt/sVirt on anything except Fedora/RHEL
</ul>
